libzypp 17.37.10

FileChecker.h File Reference
`#include <iosfwd>`
`#include <list>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp-media/FileCheckException>`
`#include <zypp/base/Exception.h>`
`#include <zypp/base/Function.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/CheckSum.h>`
`#include <zypp/KeyRingContexts.h>`

Go to the source code of this file.

## Classes
class | zypp::ChecksumFileChecker
| Built in file checkers. More...
class | zypp::SignatureFileChecker
| Checks for the validity of a signature. More...
class | zypp::NullFileChecker
| Checks for nothing Used as the default checker. More...
class | zypp::CompositeFileChecker
| Checker composed of more checkers. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
typedef function< void(const Pathname &file)> | zypp::FileChecker
| Functor signature used to check files.